Relation reference widget: records with NULL display a value

2017-07-17 10:40 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: Edit widget

Affected QGIS version:2.18.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24775

Description

In 2.18.x records that have a NULL value in the database and a relation reference widget assigned with the option "Allow NULL values"

active show a value (the first in the list) in the widget, when in fact the data is set to NULL in the database.

This leads to the false impression that a value was selected in the relation reference widget, which is not true.

Expected: the widget should show an "empty" value, or even better: show the NULL representation (e.g. NULL as a string).

History

#1 - 2017-07-25 11:19 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2019-01-24 02:57 PM - salvatore fiandaca

I tried in 2.18.28 and in 3.4.4 and I do not know any problems

therefore I close issues

#3 - 2019-01-24 02:58 PM - salvatore fiandaca

- Status changed from Open to Closed

#4 - 2019-01-24 02:59 PM - Giovanni Manghi

salvatore fiandaca wrote:

I tried in 2.18.28 and in 3.4.4 and I do not know any problems

therefore I close issues

before closing you should put the ticket in feedback mode, and ask the issuer to check.

If you close (for example because the issuer has confirmed the issue is gone) then you also must set the resolution, thanks.

#5 - 2019-01-24 03:01 PM - Giovanni Manghi

- Resolution set to fixed/implemented
